Developers
API ReferenceNumbering

Creates a Numbering resource.

POST
/finance/numberings

Creates a Numbering resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new Numbering resource

  1. body
docTitle*string
Lengthlength <= 50
closestCounter?int|null
kind*string
Lengthlength <= 10
Value in"fv""pf""fk""Vat""Zal""Kor""Roz""Upr""KorZal""KorRoz""VatPef""VatPefSp""KorPef""VatRr""KorVatRr"
pattern*string
Lengthlength <= 60
resetInterval*string
Lengthlength <= 2
Value in"P1M""P1Y"
leadingZero*integer
Range0 <= value
isDefault?boolean

Response Body

Numbering resource created

  1. response
id?string
Formatuuid
kind?string
Value in"fv""pf""fk""Vat""Zal""Kor""Roz""Upr""KorZal""KorRoz""VatPef""VatPefSp""KorPef""VatRr""KorVatRr"
pattern?string
Lengthlength <= 60
resetInterval?string
Lengthlength <= 3
Value in"P1M""P1Y"
leadingZero?integer
isDefault?boolean
docTitle?string
Lengthlength <= 50
closestCounter?int|null
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/finance/numberings' \  -H 'Content-Type: application/json' \  -d '{  "docTitle": "string",  "kind": "fv",  "pattern": "string",  "resetInterval": "P1M",  "leadingZero": 0}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "fv",  "pattern": "string",  "resetInterval": "P1M",  "leadingZero": 0,  "isDefault": true,  "docTitle": "string",  "closestCounter": null}